## com.saxonica.extra
Class ExtraFunctionLibrary

    java.lang.Object
      net.sf.saxon.functions.VendorFunctionLibrary
          com.saxonica.extra.ExtraFunctionLibrary

All Implemented Interfaces:
  java.io.Serializable, FunctionLibrary

    public class ExtraFunctionLibrary

extends VendorFunctionLibrary

The ExtraFunctionLibrary represents additions to the set of Saxon vendor-supplied extension functions that are available only with the Saxon-SA product

See Also:
  Serialized Form

Constructor Summary
`ExtraFunctionLibrary()`

Method Summary
`protected void` `init()` Initialize the set of functions available

Methods inherited from class net.sf.saxon.functions.VendorFunctionLibrary
`bind, copy, isAvailable, makeSaxonFunction, pluralArguments, register`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtraFunctionLibrary

    public ExtraFunctionLibrary()

Method Detail

### init

    protected void init()

  Initialize the set of functions available

  Overrides:
    `init` in class `VendorFunctionLibrary`

Copyright (c) Saxonica Limited. All rights reserved.